from django import forms


class WeeklyReport(forms.Form):
    department = forms.CharField(label="Abteilung", max_length=150)
    company_text = forms.CharField(label="Betriebliche Tätigkeiten", max_length=300)
    week_topic = forms.CharField(label="Thema der Woche", max_length=600)
    school_text = forms.CharField(label="Berufsschule", max_length=300)

    def content_values(self) -> dict:
        if self.is_valid():
            return {
                "company_text": self.cleaned_data["company_text"],
                "week_topic": self.cleaned_data["week_topic"],
                "school_text": self.cleaned_data["school_text"],
            }


class DailyReport:
    department = forms.CharField(label="Abteilung", max_length=150)
    week_topic = forms.CharField(label="Thema der Woche", max_length=600)
    monday_text = forms.CharField(label="Berufsschule", max_length=300)
    tuesday_text = forms.CharField(label="Dienstag", max_length=300)
    wednesday_text = forms.CharField(label="Mittwoch", max_length=300)
    thursday_text = forms.CharField(label="Donnerstag", max_length=300)
    friday_text = forms.CharField(label="Freitag", max_length=300)
